Bug 988597 - rhc can't resolve dns if the DNS is based on ldap or mdns even tough i can ping the host (nss resolves)
rhc can't resolve dns if the DNS is based on ldap or mdns even tough i can pi...
Status: CLOSED UPSTREAM
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: UpcomingRelease
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 18:42 EDT by Peter Ruan
Modified: 2016-10-19 14:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 14:00:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2013-07-25 18:42:42 EDT
Description of problem:

rhc can't resolve dns if the DNS is based on ldap or mdns even tough i can ping the host (nss resolves).  This is true for Origin.

Version-Release number of selected component (if applicable):
latest 

How reproducible:
always.

Steps to Reproduce:
1. using an Origin VM
2. do 'rhc app create app1 php-5
3. 

Actual results:
Uploading key 'adminbroker' ... done

Waiting for your DNS name to be available ...     retry # 1 - Waiting for DNS: app4-origin.openshift.local
    retry # 2 - Waiting for DNS: app4-origin.openshift.local
    retry # 3 - Waiting for DNS: app4-origin.openshift.local
    retry # 4 - Waiting for DNS: app4-origin.openshift.local
    retry # 5 - Waiting for DNS: app4-origin.openshift.local
    retry # 6 - Waiting for DNS: app4-origin.openshift.local
    retry # 7 - Waiting for DNS: app4-origin.openshift.local


Expected results:
able to resolve DNS

Additional info:
Comment 1 Clayton Coleman 2013-08-21 14:00:23 EDT
mDNS requires additional support prior to Ruby 2.1 (https://www.ruby-forum.com/topic/4411959).  Transferring this to a story https://trello.com/c/tlplIrgG/85-support-mdns-in-rhc
Comment 2 Marc Abramowitz 2014-07-24 23:59:22 EDT
I am getting this error as well on an OS X 10.9.3 system with:

```
❯ ruby -v
ruby 2.1.2p95 (2014-05-08 revision 45877) [x86_64-darwin13.0]
```

Here's the command I ran and the error I got:

```
❯ rhc create-app profilesvc python-2.7
Application Options
-------------------
Domain:     origin
Cartridges: python-2.7
Gear Size:  default
Scaling:    no

Creating application 'profilesvc' ... done


Waiting for your DNS name to be available ...     retry # 1 - Waiting for DNS: profilesvc-origin.openshift.local
    retry # 2 - Waiting for DNS: profilesvc-origin.openshift.local
    retry # 3 - Waiting for DNS: profilesvc-origin.openshift.local
    retry # 4 - Waiting for DNS: profilesvc-origin.openshift.local
    retry # 5 - Waiting for DNS: profilesvc-origin.openshift.local
    retry # 6 - Waiting for DNS: profilesvc-origin.openshift.local
    retry # 7 - Waiting for DNS: profilesvc-origin.openshift.local
failure
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
WARNING:  Your application was created successfully but had problems during
          configuration. Below is a list of the issues and steps you can
          take to complete the configuration of your application.

  Application URL: http://profilesvc-origin.openshift.local/

  Issues:
    1. We were unable to lookup your hostname (profilesvc-origin.openshift.local) in a reasonable amount of time and can not clone your application.

  Steps to complete your configuration:
    1. Clone your git repo
      $ rhc git-clone profilesvc

  If you continue to experience problems after completing these steps,
  you can try destroying and recreating the application:

    $ rhc app delete profilesvc --confirm

  Please contact us if you are unable to successfully create your
  application:

    Support - https://www.openshift.com/support

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
```

host and nslookup commands don't work but ping does (I presume this to mean that it's using mDNS rather than regular DNS?)

```
❯ host profilesvc-origin.openshift.local
Host profilesvc-origin.openshift.local not found: 3(NXDOMAIN)

❯ nslookup profilesvc-origin.openshift.local
Server:		192.168.16.11
Address:	192.168.16.11#53

** server can't find profilesvc-origin.openshift.local: NXDOMAIN


❯ ping profilesvc-origin.openshift.local
PING broker.openshift.local (192.168.1.12): 56 data bytes
64 bytes from 192.168.1.12: icmp_seq=0 ttl=64 time=0.227 ms
64 bytes from 192.168.1.12: icmp_seq=1 ttl=64 time=0.558 ms
64 bytes from 192.168.1.12: icmp_seq=2 ttl=64 time=0.544 ms
64 bytes from 192.168.1.12: icmp_seq=3 ttl=64 time=0.536 ms
^C
--- broker.openshift.local ping statistics ---
4 packets transmitted, 4 packets received, 0.0% packet loss
round-trip min/avg/max/stddev = 0.227/0.466/0.558/0.138 ms
```
Comment 3 Marc Abramowitz 2014-07-25 00:00:41 EDT
Oh and I downloaded the OpenShift Origin VM from https://mirror.openshift.com/pub/origin-server/release/4/images/openshift-origin.tgz and I'm running it in VirtualBox 4.3.12.
Comment 4 KR 2015-01-27 08:05:07 EST
(In reply to Marc Abramowitz from comment #3)
> Oh and I downloaded the OpenShift Origin VM from
> https://mirror.openshift.com/pub/origin-server/release/4/images/openshift-
> origin.tgz and I'm running it in VirtualBox 4.3.12.

I've got exactly the same problem here..

Have you solved it somehow?
Comment 5 lucas.compufc 2016-10-19 14:38:21 EDT
I've got the same problem too

Someone solve this problem?

Note You need to log in before you can comment on or make changes to this bug.